Browse the help center

Create a campaign price adjustment rule

Creates a new price adjustment rule for the specified campaign.

Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/price-adjustment-rules/campaign/{entityId}/create.do

Creates a new price adjustment rule for the specified campaign. Parameters: conditionSubject, conditionOperator, conditionValue, actionType, and actionValue. If price adjusting is not yet enabled on the campaign, it will be automatically enabled. Returns the created rule ID. Requires MANAGE_PRICE_ADJUSTING permission and UPDATE access to the owning advertiser.

Path Params

entityId integer required

Unique numeric identifier of the campaign

100

Form Params

actionType string

Action type — MULTIPLY multiplies the gross by actionValue, SET sets the gross to actionValue

MULTIPLY

actionValue number

Action value — the numeric value for the action (e.g. 1.5 for multiply, 2.0 for set)

1.5

conditionOperator string

Condition operator — how to compare

IS

conditionSubject string

Condition subject — what the rule checks

PLACEMENT

conditionValue string

Condition value — the ID of the entity to match (e.g. placement ID)

279

Responses

200

Rule created successfully

400

Bad request — invalid or missing parameters

401

Authentication error

403

Permission denied

404

campaign not found

Please disable Adblock
Are you using adblock? Disable it and reload the page to proceed to the destination page.

A registration has already been submitted from this page. Please try again in 10 minutes.